Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2709283003: Allow to open multiple modal file-pickers in Linux (Closed)

Created:
1 year, 4 months ago by joone
Modified:
1 year, 4 months ago
Reviewers:
sadrul, Elliot Glaysher
CC:
chromium-reviews, tfarina
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Allow to open multiple modal file-pickers in Linux When downloading a file from multiple tabs, we need to open multiple file-pickers at the same time. This CL allows to open multiple modal file-pickers in Linux. BUG=678982 Review-Url: https://codereview.chromium.org/2709283003 Cr-Commit-Position: refs/heads/master@{#453410} Committed: https://chromium.googlesource.com/chromium/src/+/7ea69fd50d960a0cdba6ea90811332123824d59e

Patch Set 1 #

Total comments: 1

Patch Set 2 : add DCHECK_GT #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -24 lines) Patch
M chrome/browser/ui/libgtkui/select_file_dialog_impl_gtk.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_x11.h View 2 chunks +2 lines, -6 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc View 1 3 chunks +14 lines, -16 lines 0 comments Download

Messages

Total messages: 21 (14 generated)
joone
Hi sadrul@ could you review this CL?
1 year, 4 months ago (2017-02-23 17:53:35 UTC) #6
sadrul
https://codereview.chromium.org/2709283003/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc File ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc (right): https://codereview.chromium.org/2709283003/diff/1/ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc#newcode2358 ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc:2358: if (!--modal_dialog_counter_) DCHECK_GT(modal_dialog_counter_, 0); before decrementing.
1 year, 4 months ago (2017-02-25 01:23:11 UTC) #7
sadrul
lgtm with that nit
1 year, 4 months ago (2017-02-25 01:23:19 UTC) #8
joone
erg@ Hi could you review this CL?
1 year, 4 months ago (2017-02-27 22:29:39 UTC) #12
Elliot Glaysher
lgtm
1 year, 4 months ago (2017-02-27 22:40:22 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2709283003/20001
1 year, 4 months ago (2017-02-28 00:21:36 UTC) #18
commit-bot: I haz the power
1 year, 4 months ago (2017-02-28 00:28:09 UTC) #21
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/7ea69fd50d960a0cdba6ea908113...

Powered by Google App Engine
This is Rietveld 408576698